# `@cloudbase/lowcode-cli`

@cloudbase/cli 的低码功能实现

## Usage

```
const lowcodeCli = require('@cloudbase/lowcode-cli');

```

低码命令行，嵌入到云开发命令行内(tcb xxx)。

云开发命令行git：http://git.woa.com/QBase/cloud-base-cli.git。调用入口在src/cammands/lowcode
如需修改cloud-base-cli.git，则需要link tcb命令到cloud-base-cli项目。
版本查看：https://registry.npmjs.org/@cloudbase/lowcode-cli

### 如何本地调试
* 只调试lowcode-cli，link到全局的@cloudbase/cli
```sh
cd packages/lowcode-cli

# 安装依赖
npm i

# 生成全局软链，将全局的/usr/local/node_modules/@cloudbaes/lowcode-cli link到本项目中
npm link

# 启动监听文件
npm run dev

# 进入全局@cloudbase/cli目录，link到刚才生成的全局软链
cd /usr/local/lib/node_modules/@cloudbase/cli
npm link @cloudbase/lowcode-cli
```


* 调试lowcode-cli和调试cloudbase-cli
```sh
# lowcode-cli项目
cd packages/lowcode-cli

# 安装依赖
npm i

# 生成全局软链，将全局的/usr/local/node_modules/@cloudbaes/lowcode-cli link到本项目中
npm link

# 启动监听文件
npm run dev



# cloud-base-cli项目，http://git.woa.com/QBase/cloud-base-cli.git
cd cloud-base-cli 

# 安装依赖
npm i

# 生成全局软链，将全局的/usr/local/node_modules/@cloudbaes/cli link到本项目中
npm link

# 将在lowcode-cli刚才生成的全局/usr/local/node_modules/@cloudbaes/lowcode-cli link到本项目中
npm link @cloudbase/lowcode-cli

# 启动监听文件
npm run dev

```

* 本地运行CLI
```sh
tcb login

tcb lowcode xxx
```

