"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Logger = void 0;
const chalk_1 = __importDefault(require("chalk"));
class Logger {
    static info(info) {
        console.log(chalk_1.default.bold.cyan(info));
    }
    static warn(info) {
        console.log(chalk_1.default.bold.yellow(info));
    }
    static error(info) {
        console.log(chalk_1.default.bold.red(info));
    }
    static debugger(info) {
        console.log(chalk_1.default.bold.blue(info));
    }
}
exports.Logger = Logger;
