/**
 * 复合组件库和基础组件库的打包流程基本一致
 * 所以, 把打包模块抽离出来共用
 */
import webpack from 'webpack';
import type { IWebpackInfo } from './webpack-info';
export declare class WebpackService {
    protected info: IWebpackInfo;
    constructor(info: IWebpackInfo);
    webpack(): Promise<void>;
    createConfig(): webpack.Configuration;
    private runWebpack;
}
//# sourceMappingURL=index.d.ts.map