import { LCDS } from '@cloudbase/cals';
interface IConfig {
    components: {
        [key: string]: LCDS.IComponent;
    };
    actions: {
        [key: string]: LCDS.IAction;
    };
}
interface ICodeInstance {
    components: {
        [key: string]: any;
    };
    actions: {
        [key: string]: any;
    };
}
export default function transfer(config: IConfig, mpInstance: ICodeInstance): {
    schemaVersion: string;
    components: {
        name: string;
        type: string;
        dataForm: any;
        emitEvents: any;
        methods: any;
        meta: any;
        compConfig: any;
        isContainer: any;
        configMeta: any;
        defaultStyles: any;
    }[];
    actions: {
        name: string;
        type: string;
        dataForm: any;
        meta: any;
    }[];
    plugins: any[];
    lcds: {
        schemaVersion: string;
        components: any;
        actions: any;
    };
};
export {};
//# sourceMappingURL=transfer.d.ts.map